$ErrorActionPreference = 'Stop';

$packageName= 'invantive-studio'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Studio-17.23.3-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Studio-17.23.3-BETA.msi'
  softwareName = 'Invantive Studio'
  checksum = 'F866BE9D62FB4B0348048B0B6AD4B3B8FD58C02FB4BD3C7CECC52E63D26EB613'
  checksumType = 'sha256'
  checksum64 = 'F866BE9D62FB4B0348048B0B6AD4B3B8FD58C02FB4BD3C7CECC52E63D26EB613'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-studio-17.23.3-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
